Picselau
GET https://tistos.com/api/pixels/
curl --request GET \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Paramedrau | Manylion | Disgrifiad |
|---|---|---|
| search | Dewisol String | Y llinell chwilio. |
| search_by | Dewisol String | Pa faes ydych chi'n chwilio yn ôl. Mae'r gwerthoedd a ganiateir yn: name, pixel. |
| type | Dewisol String | Gwerthoedd a ganiateir: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | Dewisol String | Gwerthoedd a ganiateir: datetime, last_datetime |
| datetime_start | Dewisol String | Hidlo canlyniadau gan ddechrau o'r dyddiad a'r amser hwn. Fformat Y-m-d H:i:s. |
| datetime_end | Dewisol String | Hidlo canlyniadau hyd at y dyddiad a'r amser hwn. Fformat Y-m-d H:i:s. |
| order_by | Dewisol String | Pa faes i drefnu'r canlyniadau yn ôl. Mae'r gwerthoedd a ganiateir yn: pixel_id, datetime, last_datetime, name. |
| order_type | Dewisol String | Trefniant y canlyniadau. Mae'r gwerthoedd a ganiateir yn: ASC ar gyfer trefniant cynyddol, a DESC ar gyfer trefniant isel. |
| page | Dewisol Cyfanrif | Y rhif tudalen y dymunwch gael canlyniadau ohono. Mae'n dod yn ddiofyn i 1. |
| results_per_page | Dewisol Cyfanrif | Faint o ganlyniadau ydych chi am bob tudalen. Mae'r gwerthoedd a ganiateir yn: 10, 25, 50, 100, 250, 500, 1000. Mae'r rhagosodiad yn 25. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 11:34:41",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/pixels?page=1",
"last": "https://tistos.com/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/pixels?page=1"
}
}
GET https://tistos.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 11:34:41",
}
}
POST https://tistos.com/api/pixels
| Paramedrau | Manylion | Disgrifiad |
|---|---|---|
| type | Angenrheidiol String | Gwerthoedd a ganiateir: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Angenrheidiol String | - |
| pixel | Angenrheidiol String | - |
curl --request POST \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/pixels/{pixel_id}
| Paramedrau | Manylion | Disgrifiad |
|---|---|---|
| type | Dewisol String | Gwerthoedd a ganiateir: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Dewisol String | - |
| pixel | Dewisol String | - |
curl --request POST \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \